SimpleXMLIterator::rewind
Interfaces
SimpleXMLIterator
PHP Manual

# SimpleXMLIterator::valid

(PHP 5 >= 5.1.0)

SimpleXMLIterator::valid — Check whether the current element is valid

### Description

bool SimpleXMLIterator::valid ( void )

This method checks if the current element is valid after calls to SimpleXMLIterator::rewind or SimpleXMLIterator::next.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the current element is valid, otherwise `FALSE`

### Examples

Example #1 Check whether the current element is valid

`<?php
$xmlIterator = new SimpleXMLIterator('<books><book>SQL Basics</book></books>');
$xmlIterator->rewind(); // rewind to the first element
echo var_dump($xmlIterator->valid()); // bool(true)
$xmlIterator->next(); // advance to the next element
echo var_dump($xmlIterator->valid()); // bool(false) because there is only one element
?>`

SimpleXMLIterator::rewind
Interfaces
SimpleXMLIterator
PHP Manual